# Uses of Class
org.apache.lucene.geo.Point

Packages that use Point
Package
Description
org.apache.lucene.document
The logical representation of a `Document` for indexing and searching.
org.apache.lucene.geo
Core geo-spatial types and utilities for handling geographical data and spatial operations in Lucene.

- ## Uses of Point in org.apache.lucene.document

  Methods in org.apache.lucene.document that return Point
  Modifier and Type
  Method
  Description
  `protected Point`
  LatLonShapeDocValues.`computeCentroid()`
  `Point`
  LatLonShapeDocValues.`getCentroid()`
  `Point`
  LatLonShapeDocValuesField.`getCentroid()`
  retrieves the centroid location for the geometry

- ## Uses of Point in org.apache.lucene.geo

  Method parameters in org.apache.lucene.geo with type arguments of type Point
  Modifier and Type
  Method
  Description
  `void`
  Tessellator.Monitor.`currentState(String status, List<Point> points, List<Tessellator.Triangle> tessellation)`
  Each loop of the main earclip algorithm will call this with the current state
  `void`
  Tessellator.Monitor.`startSplit(String status, List<Point> leftPolygon, List<Point> rightPolygon)`
  When a new polygon split is entered for mode=SPLIT, this is called.